Tree BG 1
Tree
Tree
TreeLeaves
TreeLeaves
Cat IdleGrassGrassRockRock

Beta Observability Traces Endpoints

Search traces

POST /v1/observability/traces/search

200

Successful Response

Playground

Test the endpoints live

curl https://api.mistral.ai/v1/observability/traces/search \
 -X POST \
 -H 'Authorization: Bearer YOUR_APIKEY_HERE' \
 -H 'Content-Type: application/json' \
 -d '{}'

200

{
  "traces": {}
}

Get trace field definitions

GET /v1/observability/traces/fields

200

Successful Response

field_definitions
*array<OtelFieldDefinition>

Playground

Test the endpoints live

curl https://api.mistral.ai/v1/observability/traces/fields \
 -X GET \
 -H 'Authorization: Bearer YOUR_APIKEY_HERE'

200

{
  "field_definitions": [
    {
      "label": "approved",
      "name": "My resource",
      "supported_operators": [
        "eq"
      ],
      "type": "ENUM"
    }
  ]
}

Get trace by id

GET /v1/observability/traces/{trace_id}

200

Successful Response

agent_id
*string
agent_name
*string
cache_creation_input_tokens
*integer
cache_read_input_tokens
*integer
conversation_id
*string
customer_id
*string
duration_ns
*integer
end_time
*date-time
environment
*string
error_count
*integer
evaluation_count
*integer
first_turn_last_input_message
*string
first_turn_last_output_message
*string
gen_ai_span_count
*integer
input_tokens
*integer
last_turn_last_input_message
*string
last_turn_last_output_message
*string
llm_call_count
*integer
models_used
*array<string>
organization_id
*string
output_tokens
*integer
retrieval_count
*integer
root_span_id
*string
root_span_name
*string
service_name
*string
span_count
*integer
start_time
*date-time
status_code
*"Error"|"Unset"
tool_call_count
*integer
tools_used
*array<string>
trace_id
*string
user_id
*string
workflow_name
*string
workspace_id
*string

Playground

Test the endpoints live

curl https://api.mistral.ai/v1/observability/traces/{trace_id} \
 -X GET \
 -H 'Authorization: Bearer YOUR_APIKEY_HERE'

200

{
  "agent_id": "019b2bd7-96e7-7219-8c0b-45a73da50088",
  "agent_name": "support-assistant",
  "cache_creation_input_tokens": 87,
  "cache_read_input_tokens": 14,
  "conversation_id": "019b2bd7-96e7-7219-8c0b-45a73da50088",
  "customer_id": "019b2bd7-96e7-7219-8c0b-45a73da50088",
  "duration_ns": 56,
  "end_time": "2025-12-17T10:25:07.818693Z",
  "environment": "nostrud",
  "error_count": 91,
  "evaluation_count": 32,
  "first_turn_last_input_message": "aute aliqua aute commodo",
  "first_turn_last_output_message": "irure",
  "gen_ai_span_count": 78,
  "input_tokens": 5,
  "last_turn_last_input_message": "dolor",
  "last_turn_last_output_message": "sunt",
  "llm_call_count": 69,
  "models_used": [
    "nisi minim commodo irure minim"
  ],
  "organization_id": "019b2bd7-96e7-7219-8c0b-45a73da50088",
  "output_tokens": 41,
  "retrieval_count": 18,
  "root_span_id": "occaecat",
  "root_span_name": "fugiat",
  "service_name": "workflow-worker",
  "span_count": 74,
  "start_time": "2025-12-17T10:25:07.818693Z",
  "status_code": "Error",
  "tool_call_count": 29,
  "tools_used": [
    "nostrud anim"
  ],
  "trace_id": "019b2bd7-96e7-7219-8c0b-45a73da50088",
  "user_id": "9c0ab39f-0cd0-46cd-bd30-8bf2d50be5ce",
  "workflow_name": "support-workflow",
  "workspace_id": "019b2bd7-96e7-7219-8c0b-45a73da50088"
}

Get trace spans

GET /v1/observability/traces/{trace_id}/spans

200

Successful Response

Playground

Test the endpoints live

curl https://api.mistral.ai/v1/observability/traces/{trace_id}/spans \
 -X GET \
 -H 'Authorization: Bearer YOUR_APIKEY_HERE'

200

{
  "spans": {}
}

Get options for a trace field

GET /v1/observability/traces/fields/{field_name}/options

200

Successful Response

options
*array<string>|null

Playground

Test the endpoints live

curl https://api.mistral.ai/v1/observability/traces/fields/{field_name}/options \
 -X GET \
 -H 'Authorization: Bearer YOUR_APIKEY_HERE'

200

{
  "options": null
}

Get span by id

GET /v1/observability/traces/{trace_id}/spans/{span_id}

200

Successful Response

agent_description
*string
agent_id
*string
agent_name
*string
agent_version
*string
conversation_id
*string
customer_id
*string
data_source_id
*string
duration_ns
*integer
end_time
*date-time
error_type
*string
input_messages
*string
operation_name
*string
organization_id
*string
output_messages
*string
output_type
*string
parent_span_id
*string
prompt_name
*string
provider_name
*string
request_choice_count
*integer
request_encoding_formats
*array<string>
request_frequency_penalty
*number|null
request_max_tokens
*integer
request_model
*string
request_presence_penalty
*number|null
request_seed
*integer
request_stop_sequences
*array<string>
request_temperature
*number|null
request_top_k
*number|null
request_top_p
*number|null
resource_attributes
*map<string>
response_finish_reasons
*array<string>
response_id
*string
response_model
*string
scope_name
*string
scope_version
*string
service_name
*string
span_attributes
*map<string>
span_id
*string
span_kind
*string
span_name
*string
start_time
*date-time
status_code
*"Error"|"Ok"|"Unset"
status_message
*string
system_instructions
*string
tool_call_arguments
*string
tool_call_id
*string
tool_call_result
*string
tool_definitions
*string
tool_name
*string
tool_type
*string
trace_id
*string
trace_state
*string
usage_cache_creation_input_tokens
*integer
usage_cache_read_input_tokens
*integer
usage_input_tokens
*integer
usage_output_tokens
*integer
user_id
*string
workflow_name
*string
workspace_id
*string

Playground

Test the endpoints live

curl https://api.mistral.ai/v1/observability/traces/{trace_id}/spans/{span_id} \
 -X GET \
 -H 'Authorization: Bearer YOUR_APIKEY_HERE'

200

{
  "agent_description": "ipsum eiusmod",
  "agent_id": "019b2bd7-96e7-7219-8c0b-45a73da50088",
  "agent_name": "support-assistant",
  "agent_version": "occaecat dolor sit",
  "conversation_id": "019b2bd7-96e7-7219-8c0b-45a73da50088",
  "customer_id": "019b2bd7-96e7-7219-8c0b-45a73da50088",
  "data_source_id": "irure",
  "duration_ns": 87,
  "end_time": "2025-12-17T10:25:07.818693Z",
  "error_type": "dolor",
  "input_messages": "sunt",
  "operation_name": "nisi minim commodo irure minim",
  "organization_id": "019b2bd7-96e7-7219-8c0b-45a73da50088",
  "output_messages": "occaecat",
  "output_type": "fugiat",
  "parent_span_id": "non nisi proident Lorem",
  "prompt_name": "nostrud anim",
  "provider_name": "exercitation aliqua sint",
  "request_choice_count": 14,
  "request_encoding_formats": [
    "ut sint"
  ],
  "request_frequency_penalty": null,
  "request_max_tokens": 56,
  "request_model": "dolor voluptate eu",
  "request_presence_penalty": null,
  "request_seed": 91,
  "request_stop_sequences": [
    "quis minim non magna quis"
  ],
  "request_temperature": null,
  "request_top_k": null,
  "request_top_p": null,
  "resource_attributes": [
    "et voluptate"
  ],
  "response_finish_reasons": [
    "commodo labore aliqua ad"
  ],
  "response_id": "elit culpa est non",
  "response_model": "dolore aliqua eu",
  "scope_name": "proident",
  "scope_version": "anim eiusmod labore",
  "service_name": "workflow-worker",
  "span_attributes": [
    "voluptate aliquip"
  ],
  "span_id": "et excepteur dolore commodo id",
  "span_kind": "in consectetur excepteur sint",
  "span_name": "sunt amet",
  "start_time": "2025-12-17T10:25:07.818693Z",
  "status_code": "Error",
  "status_message": "duis ea",
  "system_instructions": "nisi laborum",
  "tool_call_arguments": "cupidatat nulla velit",
  "tool_call_id": "019b2bd7-96e7-7219-8c0b-45a73da50088",
  "tool_call_result": "velit qui velit ullamco",
  "tool_definitions": "ad do deserunt exercitation",
  "tool_name": "search",
  "tool_type": "velit laboris fugiat",
  "trace_id": "019b2bd7-96e7-7219-8c0b-45a73da50088",
  "trace_state": "cillum culpa aute minim",
  "usage_cache_creation_input_tokens": 32,
  "usage_cache_read_input_tokens": 78,
  "usage_input_tokens": 5,
  "usage_output_tokens": 69,
  "user_id": "9c0ab39f-0cd0-46cd-bd30-8bf2d50be5ce",
  "workflow_name": "support-workflow",
  "workspace_id": "019b2bd7-96e7-7219-8c0b-45a73da50088"
}